Compilação de Kernel baseado na versão 2.6 para o LTSP 4.2

Com a compilação de um kernel mais moderno, problemas de reconhecimento de placas de rede e hardware em geral serão resolvidos, aumentando o tempo de vida de alguns sistemas que ainda não puderam ser totalmente migrados para o LTSP 5.

[ Hits: 47.426 ]

Por: Edilson Osorio Junior em 20/05/2008


Introdução



Desde o lançamento do LTSP versão 4.2, o kernel que o acompanhava era muito limitado, com poucos drivers e quase nenhum suporte a hardware.

Conforme os equipamentos disponíveis no mercado foram evoluindo, passamos a ter muitos problemas de reconhecimento de placas de rede, porque os drivers que acompanhavam o LTSP eram muito antigos e, por exemplo, ainda não tinham suporte à redes Gigabit.

Esse fator começou a gerar despesas para as empresas e para seus clientes, pois, paliativamente, passaram a adotar placas de rede off-board e boot via disquete, posteriormente passando para boot via pendrive, ambos com roms obtidas no ROM-o-matic, aumentando o custo do hardware.

Outro ponto é a migração dos sistemas desenvolvidos e baseados em LTSP 4.2 para o LTSP 5, que é dependente da distribuição onde ele foi integrado. Provavelmente a distribuição mais avançada em termos dessa integração é o Ubuntu, que investiu muito na integração do LTSP 5 na sua distribuição e, mesmo assim, a estrutura é muito diferente da estrutura do LTSP 4.2, necessitando uma reengenharia generalizada do software para se adaptar à nova estrutura.

Com um novo kernel mais atualizado, além de reduzir custos com hardware, podemos ainda ganhar tempo na migração de sistemas para outra distribuição com o LTSP 5 já integrado.

Cenário

  • Processador: Intel(R) Celeron(R) CPU 2.66GHz
  • Memória: 1 GB RAM
  • HDs: 2 SAMSUNG HD161HJ 160 GB (Raid 1)
  • S.O.: Fedora 8
  • Kernel: 2.6.21.7-3.fc8xen
  • Kernel para o LTSP: 2.6.25
  • LTSP: versão 4.2

Pré-requisitos

  • Servidor Dhcp
  • Servidor Tftp
  • Servidor NFS
  • Mknbi-linux
  • Ferramentas para compilação do kernel
  • Servidor LTSP (caso versão 4.2, atualizar todos os itens menos os módulos do X, conforme explicado posteriormente)
  • Kernel 2.6 mais novo para utilizar com o LTSP:

    # cd /usr/src
    # wget
    http://www.kernel.org/pub/linux/kernel/v2.6/linux-2.6.25.tar.bz2
    # tar jxvf linux-2.6.25.tar.bz2
    # ln -s linux-2.6.25.tar.bz2 linux


  • LBE:

    # cd /usr/local
    # cvs -d
    :pserver:[email protected]:/usr/local/cvsroot \
    checkout lbe

Página anterior     Próxima página

Páginas do artigo
   1. Resumo / Abstract
   2. Introdução
   3. Configurando o kernel e gerando os módulos
   4. Baixando um kernel atualizado para o LTSP 4.2 para construção do initramfs
   5. Problemas encontrados
   6. Conclusão
   7. Anexo I - rc.early_sysinit
   8. Anexo II - rc.sysinit
Outros artigos deste autor
Nenhum artigo encontrado.
Leitura recomendada

Instalando o Slackware com suporte HT - SMP

Compilação do Kernel Linux para máquinas locais Debian

OpenVZ - Instalando no Debian Squeeze AMD64

Fazendo seu Linux hibernar

kernel-ck para Arch Linux

  
Comentários
[1] Comentário enviado por rafasmart em 30/05/2008 - 14:06h

na linha:
# ln -s linux-2.6.25.tar.bz2 linux
quiseste criar link pro source né? então não seria para o diretório em vez do arquivo comprimido?

[2] Comentário enviado por osoriojr em 02/06/2008 - 14:21h

ERRATA:

em Introdução -> Pré-requisitos:
onde se lê: # ln -s linux-2.6.25.tar.bz2 linux
leia-se: # ln -s linux-2.6.25 linux

Obrigado pelo comentário amigo, culpa da mania de tab enquanto escreve :)
Edilson

[3] Comentário enviado por fredyc em 20/06/2008 - 20:41h

Eu estou com um pequeno problema e nao acho nenhum artigo ou tutorial recente falando sobre instalar o LTSP 4.2 no (k)Ubuntu 7.04, 7.10 ou 8.04 pq da algum pau q eu nao sei resolver exemplo:
No ltspadmin ele instala tudo mas da essa mensagem aqui:

egrep: /etc/inittab: No such file or directory
Argument "(value of initdefault in /etc/inittab)" isn't numeric in printf at /usr/sbin/ltspcfg line 164, <STDIN> line 2.
Use of uninitialized value in printf at /usr/sbin/ltspcfg line 164, <STDIN> line 2

tb nao da pra mudar o runlevel........pois quando tento mudar ele sai do ltspadmin!

fora q tb o dhcpd nao sobe!
/etc/init.d/dhcp3-server restart
e ele sempre da mensagem de q falou!
Nao gostaria de migrar para o LTSP 5 pois quanto instalei ele ja vindo dos (K,E,X)Ubuntu eles se motraram muito lento! da impreçao do Kernel nao ser otimizado pra essa aplicaçao como e no 4.2
Obrigado
Fredy

[4] Comentário enviado por osoriojr em 23/06/2008 - 10:29h

Então... uma das coisa que eu percebi que mudou no Ubuntu é que ele usa ldm ao invés de gdm. Como eu não instalei do zero, mas sim copiando a pasta inteira do ltsp do meu backup para lá, não passei por esses erros.
Simplesmente eu não consegui conectar no X do servidor pelo fato dele ter o ldm rodando. Para não perder tempo eu voltei pro Fedora e terminei minha atualização nele mesmo.
Assim que tiver um tempo eu instalo novamente o Ubuntu 8.04 e testo.

[5] Comentário enviado por fabiano_stocco em 14/07/2008 - 16:36h

Edilson

Muito obrigado por compartilhar esse passo a passo, nos ajudou muito aqui na empresa. A tempos vinha atrás de como compilar kernel para LTSP.

Muito obrigado mesmo.

[6] Comentário enviado por lucianeconte em 02/12/2009 - 16:13h

Olá, tudo bem?

Ao executar a linha:

cvs -d \
:pserver:[email protected]:/usr/local/cvsroot \
checkout lbe


retorna o seguinte erro:

cvs checkout: CVSROOT password specification is only valid for
cvs checkout: pserver connection method.
cvs [checkout aborted]: Bad CVSROOT: ` :pserver:[email protected]:/usr/local/cvsroot'.

Por favor, se puder ajudar, agredeço muito.

Obrigado

[7] Comentário enviado por tspocom em 13/02/2010 - 08:32h

Bom, eu estou com a mesma duvida.
No meu caso foi um pouco diferente, na hora de instalar o LBE com a linha

# cvs -d :pserver:[email protected]:/usr/local/cvsroot \checkout lbe

aparece a seguinte mensagem

# Unknown host cvs.ltsp.org.


creio que o host cvs.ltsp.org não esteja mais no ar.

[8] Comentário enviado por tspocom em 13/02/2010 - 08:32h

Bom, eu estou com a mesma duvida.
No meu caso foi um pouco diferente, na hora de instalar o LBE com a linha

# cvs -d :pserver:[email protected]:/usr/local/cvsroot \checkout lbe

aparece a seguinte mensagem

# Unknown host cvs.ltsp.org.


creio que o host cvs.ltsp.org não esteja mais no ar.

como devo proceder agora???


Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts